"use strict";Object.defineProperty(exports, "__esModule", { value: true });exports["default"] = converter;
var _parser = require("./parser"); // @ts-check








/**
 * @description This main function here gets the numbers and gender to proceed with the conversion
 * @param number from 1 to 1000
 * @param gender determine the end of any ordinal number
 * */
function converter(number, gender) {

  var value;
  var ordinal = '';
  var numPattern = /^[1-9]$/;
  var numbers = number.toString();
  var numListRev = numbers.split('').map(function (s) {return parseFloat(s);}).reverse();

  var g = gender === 'female' ? 'a' : 'o';

  for (var i = numbers.length; i > 0; i--) {
    var n = numListRev[i - 1];
    if (numPattern.test(n.toString())) {
      if (i === 4) {
        value = (0, _parser.getThousands)(n, g);
      } else if (i === 3) {
        value = (0, _parser.getHundreds)(n, g);
      } else if (i === 2) {
        value = (0, _parser.getTens)(n, g);
      } else if (i === 1) {
        value = (0, _parser.getUnit)(n, g);
      }
      ordinal = (0, _parser.concatOrdinal)(ordinal, value);
    }
  }

  return ordinal;
};